V1Pay out

Envoyer un paiement mobile money

Deux issues selon qui appelle. Une clé d'API **exécute toujours directement** le payout (`200`) : elle contourne le circuit d'approbation interne à l'organisation, au même titre qu'elle contourne le RBAC. Un jeton de session sans la permission d'approbation crée un **brouillon** `pending_approval` (`201`), qui devra être validé depuis le tableau de bord — cas hors du périmètre d'une intégration serveur.

POST/v1/pay-out
AuthorizationBearer <token>

Clé d'API de l'organisation, envoyée en Authorization: Bearer sk_live_…. Il n'existe aucun header X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/pay-out" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string",    "amount": 100,    "phoneNumber": "string",    "currencyCode": "string"  }'
{  "success": true,  "data": {    "orderId": "string",    "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",    "status": "string",    "newBalance": 0,    "message": "string",    "failureCategory": "INSUFFICIENT_FUNDS",    "failureReason": "string"  }}